
%global     snapdate        20120702
%global     rev             355e2ee
%global     alphatag        %{snapdate}git%{rev}

# The source for this package was pulled from upstream's git.
# Use the following commands to generate the tarball:
# git clone https://github.com/bioinfornatics/gdesklets-citation.git
# cd gdesklets-citation; git rev-parse --short HEAD            -> for rev
# git archive --prefix=gdesklets-citation-%%{alphatag}/ HEAD | xz > ../gdesklets-citation-%%{alphatag}.xz

Name:           gdesklets-citation
Version:        2.0
Release:        3.%{alphatag}%{?dist}
Summary:        Display quote
License:        GPLv3+
URL:            http://www.gdesklets.de
Source0:        %{name}-%{alphatag}.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python

Requires:       gdesklets

%description
Display quote in french periodically from your wallpaper

%description -l fr
Affiche des citations en français de puis le fond écran

%prep
%setup -q -n %{name}-%{alphatag}

%build

%install
mkdir -p %{buildroot}/%{_datadir}/gdesklets/Displays/%{name}/bg
cp      -rp    bg               %{buildroot}/%{_datadir}/gdesklets/Displays/%{name}/
install -m0644 citation.display %{buildroot}/%{_datadir}/gdesklets/Displays/%{name}/
install -m0644 citation.py      %{buildroot}/%{_datadir}/gdesklets/Displays/%{name}/
install -m0644 citation.png     %{buildroot}/%{_datadir}/gdesklets/Displays/%{name}/

%files
%doc COPYING
%{_datadir}/gdesklets/Displays/%{name}

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-3.20120702git355e2ee
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-2.20120702git355e2ee
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 02 2012  Jonathan MERCIER <bioinfornatics at gmail.com> - 2.0-1.20120702git355e2ee
- update to release 2.0

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 12 2009 Jonathan MERCIER <bioinfornatics-at-gmail.com> - 1.5-9
- fix the spec file source0 and license

* Thu Mar 10 2009  Jonathan MERCIER <bioinfornatics-at-gmail.com> - 1.5-8
- New version of gdesklets-citation

* Sun Mar 8 2009  Jonathan MERCIER <bioinfornatics-at-gmail.com> - 1.3-7
- change license GPLv2 to GPL+
- change name "gdesklet-citation" to "gdesklets-citation"
- remove requires python
- use %%global instead of %%define
- directory %%{_datadir}/gdesklets/Displays/%%{name}/ is owned by this package.

* Fri Feb 6 2009  Jonathan MERCIER <bioinfornatics-at-gmail.com> - 1.3-6
- change the name of rpm citation to gdesklet-citation

* Sun Feb 01 2009  Jonathan MERCIER <bioinfornatics-at-gmail.com> - 1.3-5
- bug fix in spec file

* Sun Feb 01 2009  Jonathan MERCIER <bioinfornatics-at-gmail.com> - 1.3-4
- bug fix in spec file

* Fri Jan 30 2009  Jonathan MERCIER <bioinfornatics-at-gmail.com> - 1.3-3
- Update release

* Fri Jan 30 2009  Jonathan MERCIER <bioinfornatics-at-gmail.com> - 1.2-2
- Update release

* Mon Jan 12 2009 Jonathan MERCIER <bioinfornatics-at-gmail.com> - 1.1-1
- Initial Packaging for Fedora

